# PaySway Docs ## Docs - [Introduction](https://docs.paysway.io/get-started/introduction.md) - [Authentication](https://docs.paysway.io/get-started/authentication.md) - [Versioning](https://docs.paysway.io/get-started/versioning.md) - [Environments](https://docs.paysway.io/get-started/environments.md) - [Errors](https://docs.paysway.io/get-started/errors.md) - [Idempotency](https://docs.paysway.io/get-started/idempotency.md) - [Overview](https://docs.paysway.io/payment-preparation/overview.md) - [Validate payment](https://docs.paysway.io/payment-preparation/validate-payment.md) - [Enrich payment](https://docs.paysway.io/payment-preparation/enrich-payment.md) - [Overview](https://docs.paysway.io/beneficiary-hub/overview.md) - [Management sessions](https://docs.paysway.io/beneficiary-hub/management-sessions.md) - [Payout methods](https://docs.paysway.io/beneficiary-hub/payout-methods.md) - [Overview](https://docs.paysway.io/webhooks/overview.md) - [Implement handler](https://docs.paysway.io/webhooks/implement-handler.md) - [Subscribe to events](https://docs.paysway.io/webhooks/subscribe-to-events.md) - [Verify requests](https://docs.paysway.io/webhooks/verify-requests.md) - [Event types](https://docs.paysway.io/webhooks/event-types.md) - [Validate payment details](https://docs.paysway.io/api-reference/payment-preparation/validate-payment-details.md): Accepts the full or partial payment instruction and validates it against local and global payment regulations, scheme requirements, bank reference data, and heuristics. If the payment details in the instruction are likely to be valid, the response will indicate success. If there are issues, the re… - [Bulk validate payment details](https://docs.paysway.io/api-reference/payment-preparation/bulk-validate-payment-details.md): Validates multiple payment instructions in a single request. Each item follows the same schema as POST /payments/validations and produces the same alert codes. Results are returned in the same order as the input. The maximum number of items per request is 20. - [Enrich payment details](https://docs.paysway.io/api-reference/payment-preparation/enrich-payment-details.md): Transforms and completes the fields of the payment instruction to ensure payment success and enhance user experience. It converts account numbers and bank details into formats acceptable for the selected payment method, provides routing inputs such as intermediary banks and supported payment schemes… - [Bulk enrich payment details](https://docs.paysway.io/api-reference/payment-preparation/bulk-enrich-payment-details.md): Enriches multiple payment instructions in a single request. Each item follows the same schema as POST /payments/enrichments. Results are returned in the same order as the input. The maximum number of items per request is 20. - [Create management session](https://docs.paysway.io/api-reference/beneficiary-hub/create-management-session.md): Creates a Beneficiary Hub management session for an organization end-user to manage their beneficiary details. - [List recipients](https://docs.paysway.io/api-reference/beneficiary-hub/list-recipients.md): Retrieves a list of recipients for an organization end-user by their external user ID. - [Get recipient](https://docs.paysway.io/api-reference/beneficiary-hub/get-recipient.md): Retrieves a recipient of an organization end-user by the recipient ID - [Recipient events](https://docs.paysway.io/api-reference/beneficiary-hub/recipient-events.md) - [List webhook subscriptions](https://docs.paysway.io/api-reference/webhooks/list-webhook-subscriptions.md): Retrieves a list of webhook subscriptions for an organization - [Create webhook subscription](https://docs.paysway.io/api-reference/webhooks/create-webhook-subscription.md): Creates a webhook subscription for an organization to receive notifications about events. - [Get webhook subscription](https://docs.paysway.io/api-reference/webhooks/get-webhook-subscription.md): Retrieves a webhook subscription by the subscription ID - [Delete webhook subscription](https://docs.paysway.io/api-reference/webhooks/delete-webhook-subscription.md): Deletes a webhook subscription by the subscription ID - [Update webhook subscription](https://docs.paysway.io/api-reference/webhooks/update-webhook-subscription.md): Updates a webhook subscription by the subscription ID ## OpenAPI Specs - [paysway-api](https://docs.paysway.io/api-reference/paysway-api.yaml)